package com.autentia.springhb;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.autentia.springhb.dao.CompanyDao;
import com.autentia.springhb.dao.WorkerDao;
import com.autentia.springhb.entity.Company;
import com.autentia.springhb.entity.Worker;
import com.autentia.springhb.entity.WorkerType;

public class AutentiaSpringHb {

	private static String[] files = new String[] {"applicationContextHbSpring.xml"}; 	
	
	public static void main(String[] args) {

		final ApplicationContext context = new ClassPathXmlApplicationContext(files);
		
		final CompanyDao companyDao = (CompanyDao) context.getBean("companyDao");
		final WorkerDao workerDao = (WorkerDao) context.getBean("workerDao");
		
		Company company = new Company();
		company.setName("Autentia Real Business Solutions");
		company.setDescription("somos pocos, somos buenos y nos gusta lo que hacemos");
		companyDao.save(company);
		
		Worker worker_01 = new Worker();
		worker_01.setName("Roberto");
		worker_01.setSurname("Canales");
		worker_01.setWorkerType(WorkerType.JEFE);
		worker_01.setCompany(company);
		workerDao.save(worker_01);
		
		Worker worker_02 = new Worker();
		worker_02.setName("Carlos");
		worker_02.setSurname("García");
		worker_02.setWorkerType(WorkerType.CONSULTOR);
		worker_02.setCompany(company);
		workerDao.save(worker_02);
		
		Worker worker_03 = new Worker();
		worker_03.setName("Alfonso");
		worker_03.setSurname("Blanco");
		worker_03.setWorkerType(WorkerType.BECARIO);
		worker_03.setCompany(company);
		workerDao.save(worker_03);
		
		System.out.println ("Resumen:");
		System.out.println ("· hay " + companyDao.findAll().size() + " empresa/s");
		System.out.println ("· hay " + workerDao.findAll().size() + " empleado/s");		
	}
}
