package com.autentia.springhb.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name="WORKER")
public class Worker extends AbstractEntity {

	private static final long serialVersionUID = 6430623703467941209L;
	
	private WorkerType workerType = WorkerType.DESARROLLADOR;
	private String name;
	private String surname;
	private Company company;
	
	@Id @GeneratedValue(strategy = GenerationType.AUTO)	
	@Override
	public Long getId() {
		return id;
	}
	
	@Column(length = 20, nullable = false)
	@Enumerated(EnumType.STRING)
	public WorkerType getWorkerType() {
		return workerType;
	}

	public void setWorkerType(WorkerType workerType) {
		this.workerType = workerType;
	}

	@Column(length=255, nullable=false)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(length=255, nullable=false)
	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}
	
	@ManyToOne(targetEntity = Company.class)
	@JoinColumn(name = "COMPANY_id")
	public Company getCompany() {
		return company;
	}

	public void setCompany(Company company) {
		this.company = company;
	}
}
